Bug 845769 - Review Request: emacs-undo-tree - Treats undo history as a tree of changes
Review Request: emacs-undo-tree - Treats undo history as a tree of changes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
Trivial
: Triaged
Depends On:
Blocks: 844173
  Show dependency treegraph
 
Reported: 2012-08-04 16:00 EDT by Sébastien Willmann
Modified: 2012-09-17 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 15:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sébastien Willmann 2012-08-04 16:00:56 EDT
Spec URL: http://wilqu.fedorapeople.org/reviews/emacs-undo-tree/emacs-undo-tree.spec
SRPM URL: http://wilqu.fedorapeople.org/reviews/emacs-undo-tree/emacs-undo-tree-0.5.3-1.fc17.src.rpm
Description: The undo-tree-mode provided by this package replaces Emacs' undo system with a
system that treats undo history as what it is: a branching tree of changes. This
simple idea allows the more intuitive behaviour of the standard undo/redo system
to be combined with the power of never losing any history. An added side bonus
is that undo history can in some cases be stored more efficiently, allowing more
changes to accumulate before Emacs starts discarding history.

You don't have to imagine the undo tree, because undo-tree-mode includes an
undo-tree visualizer which draws it for you, and lets you browse around the undo
history.

Fedora Account System Username: wilqu
Comment 1 Mikolaj Izdebski 2012-08-08 12:35:35 EDT
I'll do this review when I find some time.
Tested on Koji: https://bugzilla.redhat.com/show_bug.cgi?id=845769
Comment 2 inactive 2012-08-24 08:57:45 EDT
REVIEW:
 - The description must be written in american english; behaviour must be behavior.
(- There is no separate license text.)
Besides that, the Guidelines are met.
Comment 3 Sébastien Willmann 2012-08-25 13:17:51 EDT
Spec URL: http://wilqu.fedorapeople.org/reviews/emacs-undo-tree/emacs-undo-tree.spec
SRPM URL: http://wilqu.fedorapeople.org/reviews/emacs-undo-tree/emacs-undo-tree-0.5.3-2.fc17.src.rpm

Thanks for the review. I fixed the spelling. There is no separate license text because the source is only one text file.
Comment 4 Mikolaj Izdebski 2012-08-27 13:17:42 EDT
I am taking this review.
Comment 5 Mikolaj Izdebski 2012-08-27 13:24:38 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (undo-tree-0.5.3.el)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Rpmlint output
-------------
Checking: emacs-undo-tree-0.5.3-2.fc19.src.rpm
          emacs-undo-tree-0.5.3-2.fc19.noarch.rpm
emacs-undo-tree.src: I: enchant-dictionary-not-found en_US
emacs-undo-tree.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


No blocker issues found.

**************
** APPROVED **
**************
Comment 6 Sébastien Willmann 2012-08-28 09:18:13 EDT
New Package SCM Request
=======================
Package Name: emacs-undo-tree
Short Description: Treats undo history as a tree of changes
Owners: wilqu
Branches: f16 f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-08-28 09:31:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-28 15:52:42 EDT
emacs-undo-tree-0.5.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emacs-undo-tree-0.5.3-2.fc18
Comment 9 Fedora Update System 2012-08-28 15:54:46 EDT
emacs-undo-tree-0.5.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emacs-undo-tree-0.5.3-2.fc17
Comment 10 Fedora Update System 2012-08-28 16:19:14 EDT
emacs-undo-tree-0.5.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/emacs-undo-tree-0.5.3-2.fc16
Comment 11 Fedora Update System 2012-09-07 07:22:44 EDT
emacs-undo-tree-0.5.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-09-07 07:23:01 EDT
emacs-undo-tree-0.5.3-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-09-17 18:18:59 EDT
emacs-undo-tree-0.5.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.